GTXclient C API GTXserver-16.0.2

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- alpha_length : GTXVariableInfo
- angle_x : GTXFileInfo
- angle_y : GTXFileInfo
- angle_z : GTXFileInfo
- auth_priority : GTXFaultInfo
- aux_var_test : GTXFaultSystem
- aux_var_used : GTXFaultSystem , GTXFaultInfo

### - b -

- bit_length : GTXVariableInfo
- bnd_inc_high : GTXColorScale
- bnd_inc_inter : GTXColorScale
- bnd_inc_low : GTXColorScale
- bounds : GTXColorScale

### - c -

- color : GTXWireframe

### - d -

- dimension : GTXFileInfo
- DX : GTXFileInfo
- DY : GTXFileInfo
- DZ : GTXFileInfo

### - e -

- ext_max : GTXPolygonSystem
- ext_min : GTXPolygonSystem

### - f -

- facies_class_ind : GTXColorScale
- facies_int_max : GTXColorScale
- facies_int_min : GTXColorScale
- facies_int_nb : GTXColorScale
- facies_integers : GTXColorScale
- facies_labels : GTXColorScale
- facies_rgbs : GTXColorScale
- fault_info : GTXFileInfo
- faulted : GTXFileInfo
- faults : GTXFaultSystem
- faults_2d : GTXFaultInfo , GTXFaultSystem
- faults_number : GTXFaultInfo

### - g -

- group_name : GTXPolygon

### - h -

- highval_col : GTXColorScale

### - i -

- i_number : GTXVariableInfo
- implicit : GTXVariableInfo
- item_number : GTXFileInfo

### - l -

- length_var : GTXVariableInfo
- linked_file : GTXFileInfo
- ln_var_name : GTXFileInfo
- lname_var_name : GTXFileInfo
- lowval_col : GTXColorScale

### - m -

- max_fpriority : GTXFaultInfo
- min_fpriority : GTXFaultInfo

### - n -

- n_faults : GTXFaultSystem
- n_objects : GTXWireframe
- n_polygons : GTXPolygonSystem
- n_segments : GTXFault
- n_triangles : GTXWireframeObject
- n_vertices : GTXPolygon , GTXWireframeObject
- n_wireframes : GTXWireframeSystem
- name : GTXFault , GTXPolygon , GTXWireframe
- nclasses : GTXColorScale
- NX : GTXFileInfo
- NY : GTXFileInfo
- NZ : GTXFileInfo

### - o -

- objects : GTXWireframe
- other_col : GTXColorScale
- other_label : GTXColorScale

### - p -

- pal_ind : GTXColorScale
- palette_name : GTXColorScale
- polygon : GTXFault
- polygon_file : GTXFileInfo
- polygons : GTXPolygonSystem
- polygons_2d : GTXPolygonSystem
- priority : GTXFaultSegment

### - r -

- readonly : GTXColorScale
- rn_var_name : GTXFileInfo
- rotation : GTXFileInfo

### - s -

- s_number : GTXFileInfo
- segments : GTXFault
- segments_number : GTXFaultInfo
- sn_var_name : GTXFileInfo

### - t -

- triangles : GTXWireframeObject
- type : GTXColorScale , GTXVariableInfo , GTXFileInfo

### - u -

- undef_col : GTXColorScale
- undef_label : GTXColorScale
- unit : GTXVariableInfo
- unit_symbol : GTXVariableInfo

### - v -

- V1 : GTXFaultSegment
- V2 : GTXFaultSegment
- V3 : GTXFaultSegment
- vertices : GTXPolygon , GTXWireframeObject

### - w -

- wireframes : GTXWireframeSystem

### - x -

- X0 : GTXFileInfo
- X1 : GTXFaultSegment
- X2 : GTXFaultSegment
- X3 : GTXFaultSegment
- xb_var_name : GTXFileInfo
- xe_var_name : GTXFileInfo
- xg_var_name : GTXFileInfo

### - y -

- Y0 : GTXFileInfo
- Y1 : GTXFaultSegment
- Y2 : GTXFaultSegment
- Y3 : GTXFaultSegment
- yb_var_name : GTXFileInfo
- ye_var_name : GTXFileInfo
- yg_var_name : GTXFileInfo

### - z -

- Z0 : GTXFileInfo
- Z1 : GTXFaultSegment
- Z2 : GTXFaultSegment
- Z3 : GTXFaultSegment
- z_max : GTXPolygon
- z_min : GTXPolygon
- zb_var_name : GTXFileInfo
- ze_var_name : GTXFileInfo
- zg_var_name : GTXFileInfo